"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.text = void 0;
const text_mappings_1 = require("../../plugin/options/text-mappings");
const text = (theme) => {
    const textMappings = {
        ...text_mappings_1.TEXT_MAPPING_DEFAULTS,
        ...(theme.application.options.getValue('textContentMappings') || {}),
    };
    return {
        getText: (key) => {
            return textMappings[key];
        },
        getTextFromKindString: (kindString, isPlural = false) => {
            const key = isPlural
                ? text_mappings_1.PLURAL_KIND_KEY_MAP[kindString]
                : text_mappings_1.SINGULAR_KIND_KEY_MAP[kindString];
            return textMappings[key] || kindString;
        },
    };
};
exports.text = text;
