"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.reflectionTemplate = void 0;
const __1 = require("../../..");
const markdown_1 = require("../markdown");
function reflectionTemplate(context, page) {
    const md = [];
    md.push(context.hook(__1.MarkdownHooks.PAGE_BEGIN).join('\n'));
    if (!context.options.getValue('hidePageHeader')) {
        md.push(context.partials.header(page));
    }
    if (!context.options.getValue('hideBreadcrumbs')) {
        md.push(context.partials.breadcrumbs(page));
    }
    if (!context.options.getValue('hidePageTitle')) {
        md.push((0, markdown_1.heading)(1, context.partials.pageTitle(page)));
    }
    md.push(context.hook(__1.MarkdownHooks.CONTENT_BEGIN).join('\n'));
    md.push(context.partials.reflectionMember(page.model, 2));
    md.push(context.hook(__1.MarkdownHooks.PAGE_END).join('\n'));
    return md.join('\n\n');
}
exports.reflectionTemplate = reflectionTemplate;
